Package org.tmatesoft.svn.core.wc2

## Class SvnResolve

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Void>
  - - org.tmatesoft.svn.core.wc2.SvnResolve

- All Implemented Interfaces:
    `ISvnOperationOptionsProvider`

      public class SvnResolve
      extends SvnOperation<java.lang.Void>

  Represents resolve operation. Performs automatic conflict resolution on a working copy `target`.

  If `depth` is `SVNDepth.EMPTY`, acts only on `target`; if`SVNDepth.FILES`, resolves `target` and its conflicted file children (if any); if `SVNDepth.IMMEDIATES` , resolves `target` and all its immediate conflicted children (both files and directories, if any); if `SVNDepth.INFINITY`, resolves `target` and every conflicted file or directory anywhere beneath it.

  If `target` is not in a state of conflict to begin with, does nothing. If `target`'s conflict state is removed and caller's `ISVNEntryHandler` is not null, then an `SVNEventAction.RESOLVED` event is dispatched to the handler.
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SvnResolve​(SvnOperationFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SVNConflictChoice` | `getConflictChoice()` | Gets kind of choice object for making decision while resolving.
    `boolean` | `isChangesWorkingCopy()` | Gets whether the operation changes working copy
    `boolean` | `isResolveContents()` | Returns whether to resolve target's content conflict
    `boolean` | `isResolveProperties()` | Returns whether to resolve target's properties conflict
    `boolean` | `isResolveTree()` | Returns whether to resolve any target's tree conflict
    `void` | `setConflictChoice​(SVNConflictChoice conflictChoice)` | Sets kind of choice object for making decision while resolving.
    `void` | `setResolveContents​(boolean resolveContents)` | Sets whether to resolve target's content conflict
    `void` | `setResolveProperties​(boolean resolveProperties)` | Sets whether to resolve target's properties conflict
    `void` | `setResolveTree​(boolean resolveTree)` | Sets whether to resolve any target's tree conflict

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnResolve

          protected SvnResolve​(SvnOperationFactory factory)

  - ### Method Detail

    - #### getConflictChoice

          public SVNConflictChoice getConflictChoice()

      Gets kind of choice object for making decision while resolving.
      Returns:
        choice object for the operation
      See Also:
        `setConflictChoice(SVNConflictChoice)`

    - #### setConflictChoice

          public void setConflictChoice​(SVNConflictChoice conflictChoice)

      Sets kind of choice object for making decision while resolving.

      If `conflictChoice` is `SVNConflictChoice.BASE`, resolves the conflict with the old file contents; if `SVNConflictChoice.MINE_FULL`, uses the original working contents; if `SVNConflictChoice.THEIRS_FULL`, the new contents; and if `SVNConflictChoice.MERGED`, doesn't change the contents at all, just removes the conflict status, which is the pre-1.2 (pre-SVN 1.5) behavior.

      `SVNConflictChoice.THEIRS_CONFLICT` and `SVNConflictChoice.MINE_CONFLICT` are not legal for binary files or properties.
      Parameters:
        `conflictChoice` - choice object for the operation

    - #### isResolveContents

          public boolean isResolveContents()

      Returns whether to resolve target's content conflict
      Returns:
        `true` if content conflict of the target should be resolved, otherwise `false`

    - #### setResolveContents

          public void setResolveContents​(boolean resolveContents)

      Sets whether to resolve target's content conflict
      Parameters:
        `resolveContents` - `true` if content conflict of the target should be resolved, otherwise `false`

    - #### isResolveProperties

          public boolean isResolveProperties()

      Returns whether to resolve target's properties conflict
      Returns:
        `true` if properties conflict of the target should be resolved, otherwise `false`

    - #### setResolveProperties

          public void setResolveProperties​(boolean resolveProperties)

      Sets whether to resolve target's properties conflict
      Parameters:
        `resolveProperties` - `true` if properties conflict of the target should be resolved, otherwise `false`

    - #### isResolveTree

          public boolean isResolveTree()

      Returns whether to resolve any target's tree conflict
      Returns:
        `true` if any tree conflict of the target should be resolved, otherwise `false`

    - #### setResolveTree

          public void setResolveTree​(boolean resolveTree)

      Sets whether to resolve any target's tree conflict
      Parameters:
        `resolveTree` - `true` if any tree conflict of the target should be resolved, otherwise `false`

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<java.lang.Void>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`